<?php
class ClearanceController {
    private $clearanceModel;

    public function __construct($clearanceModel) {
        $this->clearanceModel = $clearanceModel;
    }

    public function getClearanceData($userId) {
        return $this->clearanceModel->getClearanceData($userId);
    }

    public function getClearanceHistoryByUserId($userId) {
        return $this->clearanceModel->getClearanceHistoryByUserId($userId);
    }

    public function getAllClearanceHistories() {
        return $this->clearanceModel->getAllClearanceHistories();
    }

    public function getAllUsers() {
        return $this->clearanceModel->getAllUsers();
    }

    public function confirmInvoice($invoiceId) {
        return $this->clearanceModel->confirmInvoiceById($invoiceId);
    }
}
